---
search:
  tags:
    - Services
    - DELETE
seo:
  description: >-
    Detach a service's source archive. Reference for the DELETE
    /api/admin/services/{id}/source endpoint in the Athena Attack/Defence Admin
    API.
sidebar:
  label: Detach a service's source archive
  badge: DELETE
title: Detach a service's source archive
type: openapi-operation
---
`DELETE /api/admin/services/{id}/source`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Response for status 404
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "id": "string",
  "number": 0,
  "slug": "string",
  "name": "string",
  "description": "string",
  "image": "string",
  "imageDigest": "string",
  "checkerImage": "string",
  "checkerImageDigest": "string",
  "pullUsername": "string",
  "ports": [
    {
      "port": 0,
      "protocol": "tcp"
    }
  ],
  "checkerTimeoutSeconds": 0,
  "enabled": true,
  "position": 0,
  "sourceFileId": "string",
  "createdBy": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "pullCredentialsSet": true
}
```
